For the complete documentation index, see llms.txt. This page is also available as Markdown.

GlxLate

Perform various operations for Symitar parameters.

Symitar eDocs References: Coming soon.

Operations

getGlxLate

post

Retrieve GlxLate parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
GlxLateGlCodeintegerOptional
GlxLateTypeListintegerOptional
Responses
200

Successful operation.

application/json
post/getGlxLate
POST /nexum/627/2022.01/parameter/getGlxLate HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 173

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlxLateGlCode": 1,
  "GlxLateTypeList": 1,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "GlxLate": {
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getGlxLate"
}

getGlxLateSelectFields

post

Retrieve GlxLate parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
GlxLateGlCodeintegerOptional
GlxLateTypeListintegerOptional
Responses
200

Successful operation.

application/json
post/getGlxLateSelectFields
POST /nexum/627/2022.01/parameter/getGlxLateSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 190

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "SelectableFields": {
    "IncludeAllGlxLateFields": true
  }
}
200

Successful operation.

{
  "GlxLate": {
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getGlxLateSelectFields"
}

getGlxLatePagedList

post

Retrieve GlxLate parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getGlxLatePagedList
POST /nexum/627/2022.01/parameter/getGlxLatePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 238

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0,
    "Token": "example-token"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "GlxLate": [],
  "Token": null,
  "MessageId": "getGlxLatePagedList"
}

getGlxLateListSelectFields

post

Retrieve GlxLate parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getGlxLateListSelectFields
POST /nexum/627/2022.01/parameter/getGlxLateListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 190

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "SelectableFields": {
    "IncludeAllGlxLateFields": true
  }
}
200

Successful operation.

{
  "GlxLateList": [],
  "MessageId": "getGlxLateListSelectFields"
}

searchGlxLateSelectFields

post

Search GlxLate parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/searchGlxLateSelectFields
POST /nexum/627/2022.01/parameter/searchGlxLateSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 228

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllGlxLateFields": true
  },
  "SearchFilter": {
    "Query": "example-query"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "GlxLateList": [],
  "MessageId": "searchGlxLateSelectFields"
}

getGlxLatePagedListSelectFields

post

Retrieve GlxLate parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getGlxLatePagedListSelectFields
POST /nexum/627/2022.01/parameter/getGlxLatePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 269

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllGlxLateFields": true
  }
}
200

Successful operation.

{
  "GlxLate": [],
  "Token": null,
  "MessageId": "getGlxLatePagedListSelectFields"
}

searchGlxLatePagedSelectFields

post

Search GlxLate parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
QuerystringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchGlxLatePagedSelectFields
POST /nexum/627/2022.01/parameter/searchGlxLatePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 280

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "Query": "",
  "SelectableFields": {
    "IncludeAllGlxLateFields": true
  }
}
200

Successful operation.

{
  "GlxLate": [],
  "Token": null,
  "MessageId": "searchGlxLatePagedSelectFields"
}

updateGlxLateByID

post

Update GlxLate parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
GlxLateGlCodeintegerOptional
GlxLateTypeListintegerOptional
Responses
200

Successful operation.

application/json
post/updateGlxLateByID
POST /nexum/627/2022.01/parameter/updateGlxLateByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 239

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlxLateGlCode": 1,
  "GlxLateTypeList": 1,
  "GlxLateUpdatableFields": {
    "Type": 0,
    "Description": "NEXUM EXAMPLE"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateGlxLateByID"
}

Last updated

Was this helpful?